// Learn TypeScript:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/typescript.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/typescript.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/manual/en/scripting/life-cycle-callbacks.html

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property(sp.Skeleton)
    test: sp.Skeleton = null;

    @property(sp.Skeleton)
    test2: sp.Skeleton = null;

    @property(sp.Skeleton)
    test3: sp.Skeleton = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}
    
    start () {
    }

     update (dt) {
         this.test.updateWorldTransform();
         this.test.findBone("body");
         this.test.findBone("head");
         this.test.findBone("neck");
         this.test.findBone("necklace");
         this.test2.updateWorldTransform();
         this.test2.findBone("body");
         this.test2.findBone("head");
         this.test2.findBone("neck");
         this.test2.findBone("necklace");
         this.test3.updateWorldTransform();
         this.test3.findBone("body");
         this.test3.findBone("head");
         this.test3.findBone("neck");
         this.test3.findBone("necklace");
     }
}
